{ config, lib, pkgs, ... }:
let
  inherit (lib) mkIf mkMerge;
  profiles = config.r6d.profiles;
in {
  nix = mkIf config.r6d.config-generator.nix-serve-client {
    # Cache http pour le store
    requireSignedBinaryCaches = false;
    binaryCaches =  [
      (mkIf profiles.isDubronetwork "http://192.168.10.169:5000")
      (mkIf profiles.isPrunetwork   "http://192.168.1.20:5000")
    ];
  };
}
